Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 233567 - dev-db/mysql version bump to 5.0.70
Summary: dev-db/mysql version bump to 5.0.70
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Gentoo Linux MySQL bugs team
URL: http://dev.mysql.com/doc/refman/5.0/e...
Whiteboard:
Keywords:
: 246128 (view as bug list)
Depends on:
Blocks: CVE-2008-3963
  Show dependency tree
 
Reported: 2008-08-01 09:17 UTC by Wolfram Schlich (RETIRED)
Modified: 2008-11-15 18:15 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfram Schlich (RETIRED) gentoo-dev 2008-08-01 09:17:09 UTC
there are some interesting fixes since 5.0.60...
Comment 1 Wolfram Schlich (RETIRED) gentoo-dev 2008-09-08 09:52:20 UTC
Latest version is 5.0.68.
Any status updates on this?
Comment 2 Conrad Kostecki gentoo-dev 2008-09-23 12:45:01 UTC
I would be very happy, if this could go into portage...
There are really some fixes, which are usefull (e.g. WBB3)
Comment 3 Matti Bickel (RETIRED) gentoo-dev 2008-10-02 22:14:59 UTC
agreed. i'm looking into migrating my wbbs away from mysql as wbb just keeps crashing here. could we have an up2date mysql?
Comment 4 Matus UHLAR - fantomas 2008-10-20 07:14:35 UTC
we have problem with http://bugs.mysql.com/bug.php?id=35480 that is fixed since 5.0.66, please update portage
Comment 5 Jan Rieger 2008-10-21 10:58:45 UTC
Latest version is 5.0.70.
May we assume MySQL on Gentoo to be dead?
Comment 6 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-10-21 21:13:48 UTC
Not dead. Just that as the only person on the MySQL team, I'm overworked in trying to port the Gentoo patchset to the newer versions.
Comment 7 Andreas Sturmlechner gentoo-dev 2008-10-23 21:24:29 UTC
I can report a successful build of 5.0.67 with unmodified 5.0.60-r1 ebuild.

Settings were:
USE="embedded perl ssl"
gcc-4.3.2
Comment 8 Björn 2008-11-06 15:49:07 UTC
I can report a successful build (and use) of 5.0.68 with unmodified 5.0.60-r1 ebuild.

Settings were:
USE="extraengine ssl"
gcc-4.3.2
Comment 9 Andreas Sturmlechner gentoo-dev 2008-11-07 23:58:12 UTC
(In reply to comment #8)
> I can report a successful build (and use) of 5.0.68 with unmodified 5.0.60-r1
> ebuild.

confirmed. And to give a little more info about my settings:

Portage 2.2_rc13 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.27-ext4-r1 x86_64)
CFLAGS="-march=k8-sse3 -O2 -pipe -finline-functions -ftree-vectorize"

mysql USE="embedded perl ssl"
Comment 10 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-11-09 23:51:42 UTC
*** Bug 246128 has been marked as a duplicate of this bug. ***
Comment 11 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-11-10 00:02:17 UTC
Just so folks know, I haven't forgotten about this bug, I just haven't gotten to porting all the required patches (both the old ones and the new requested ones [like the google patchset]) to work smoothly yet.
Comment 12 Max Nokhrin 2008-11-11 03:59:43 UTC
Thanks for the update, I appreciate your hard work! :)
Comment 13 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2008-11-14 01:08:34 UTC
5.0.70 is in the tree now, with the identical patchset to .60-r1. Later revisions of .70 will contain new patches. This release is just so that we can unblock the security bugs. My testing issues ultimately stemmed from very weird issues with FEATURES=usersandbox.

Additionally, I do not have direct access to any big-endian boxes anymore, so I don't know if the archive_gis test has been fixed by upstream or not yet - I suspect not, so we may need to disable it in src_test like previous releases.
Comment 14 Max Nokhrin 2008-11-14 15:05:15 UTC
Interesting, I emerged 5.0.70 last night, but the internal MySQL version is still reported as 5.0.60... is something wrong on my end or is it because you used the patches from 60-r1?
Comment 15 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2008-11-15 09:42:00 UTC
(In reply to comment #14)
> Interesting, I emerged 5.0.70 last night, but the internal MySQL version is
> still reported as 5.0.60... is something wrong on my end or is it because you
> used the patches from 60-r1?
> 

i can confirm that.
afaik points nothing in the patches to 5.0.60.
Comment 16 Peter Volkov (RETIRED) gentoo-dev 2008-11-15 15:09:41 UTC
(In reply to comment #14)
> Interesting, I emerged 5.0.70 last night, but the internal MySQL version is
> still reported as 5.0.60... is something wrong on my end or is it because you
> used the patches from 60-r1?

I don't see anything like that. Could you open new bug report and give us more details? Thanks.

mysql> status
--------------
mysql  Ver 14.12 Distrib 5.0.70, for pc-linux-gnu (i686) using readline 5.2

[snip]
Server version:         5.0.70-log Gentoo Linux mysql-5.0.70
[snip]
--------------
Comment 17 Sergiy Borodych 2008-11-15 15:38:31 UTC
(In reply to comment #14)
> Interesting, I emerged 5.0.70 last night, but the internal MySQL version is
> still reported as 5.0.60... is something wrong on my end or is it because you
> used the patches from 60-r1?
> 

For me version is correct too
Server version:		5.0.70 Gentoo Linux mysql-5.0.70

Maybe you forgot restart mysql ?
Comment 18 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2008-11-15 15:43:57 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > Interesting, I emerged 5.0.70 last night, but the internal MySQL version is
> > still reported as 5.0.60... is something wrong on my end or is it because you
> > used the patches from 60-r1?
> > 
> 
> i can confirm that.
> afaik points nothing in the patches to 5.0.60.
> 

ok in my case it was a problem with a 3rd party app.
just ignore my comment (#15) :)
Comment 19 Max Nokhrin 2008-11-15 18:15:18 UTC
(In reply to comment #14)
> Interesting, I emerged 5.0.70 last night, but the internal MySQL version is
> still reported as 5.0.60... is something wrong on my end or is it because you
> used the patches from 60-r1?
> 

Sorry nevermind, for me it was also an error in 3rd party app. Mysql status shows .70. :)